﻿@model Jb.Framework.Common.Forms.JbForm
@{
    ViewBag.Title = "Donation";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/Content/Frameworks/toastr.css" rel="stylesheet" />

<div class="container" style="padding-top:50px;">

    <h5>@ViewBag.Title</h5>

    @using (Ajax.BeginForm("Donation", "Club", new { ClubDomain = ViewBag.ClubDomain,ists=ViewBag.ISTS }, new AjaxOptions() { HttpMethod = "Post",   OnSuccess = "onComplete" }, new { @id = "donation-form", @class = "", role = "form" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

        @Html.EditorFor(m => m)

        <div class="clearfix"></div>
        <button class="btn btn-success" type="submit" id="donationSubmitBtn">Submit</button>
  
    }

</div>

@Scripts.Render("~/bundles/jqueryValidateUnobtrusive")
<script src="~/Scripts/Libraries/jQuery/jquery.unobtrusive-ajax.min.js"></script>
<script src="~/Scripts/Libraries/toastr.js"></script>

<script type="text/javascript">

    function onComplete(data) {
      
        if (data.Status) {
            location.href = data.Data;
        }
        else {
            toastr.error(data.Message);
        }
    }

</script>